<?php
/**
*  @author reybex <info@editsystems.com>
*  @copyright  2020 reybex
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class ReybexInvoice extends ObjectModel
{
    public $id_reybex_invoice;
    public $id_order;
    public $url;
    public $note;
    public $date_add;
    /**
    * @see ObjectModel::$definition
    */
    public static $definition = array(
        'table' => 'reybex_invoice', 'primary' => 'id_reybex_invoice', 'multilang' => false,
        'fields' => array(
            'id_order' => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'url' => array('type' => self::TYPE_STRING, 'size' => 300),
            'note' => array('type' => self::TYPE_STRING, 'size' => 250),
            'date_add' => array('type' => self::TYPE_DATE, 'validate' => 'isDate', 'copy_post' => false),
        ),
    );

    protected $webserviceParameters = array(
        'objectNodeName' => 'reybex_invoice_list',
        'objectsNodeName'  => 'reybex_invoice',
        'fields'          => array(
            'id_order' => array('xlink_resource' => 'orders', 'required' => true),
            'url' => array(),
            'note' => array()
        )
    );

    public static function getOrderReybexInvoiceUrl($id_order)
    {
        $url = Db::getInstance()->getValue(' SELECT url FROM `'._DB_PREFIX_.'reybex_invoice`
            WHERE `id_order` = '.(int)$id_order);
        return $url;
    }
}
