<?php
/**
*  @author reybex <info@editsystems.com>
*  @copyright  2020 reybex
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class ObjectModel extends ObjectModelCore
{
    public $id_reybex_invoice;
    public $id_order;
    public $url;
    public $note;
    public $date_add;
    /**
    * @see ObjectModel::$definition
    */
    public function __construct($id = null, $id_lang = null, $id_shop = null)
    {
        self::$definition['table'] = 'reybex_invoice';
        self::$definition['primary'] = 'id_reybex_invoice';
        self::$definition['fields']['id_order'] = array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true);
        self::$definition['fields']['url'] = array('type' => self::TYPE_STRING, 'size' => 300);
        self::$definition['fields']['note'] = array('type' => self::TYPE_STRING, 'size' => 250);
        self::$definition['fields']['date_add'] = array('type' => self::TYPE_DATE, 'validate' => 'isDate', 'copy_post' => false);
        parent::__construct($id, $id_lang, $id_shop);
    }
}
