<?php
/**
*  @author reybex <info@editsystems.com>
*  @copyright  2020 reybex
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class PdfInvoiceController extends PdfInvoiceControllerCore
{

    public function display()
    {
        $order_invoice_list = $this->order->getInvoicesCollection();
        Hook::exec('actionPDFInvoiceRender', array('order_invoice_list' => $order_invoice_list));

        $url = Db::getInstance()->getValue('SELECT url FROM `'._DB_PREFIX_.'reybex_invoice`
            WHERE `id_order` = '.(int)$this->order->id);
        if (isset($url) && $url != '') {
            $url = str_replace("salesHeadDownload","salesHeadPrint",$url); 
            $arrContextOptions=array(
              "ssl"=>array(
                    "verify_peer"=>false,
                    "verify_peer_name"=>false,
                ),
            );
            $response = Tools::file_get_contents($url, false, stream_context_create($arrContextOptions));
            if (isset($response) && $response != '') {
                $id_lang = Context::getContext()->language->id;
                $id_shop = (int)$this->order->id_shop;
                $format = '%1$s%2$06d';
                $filename = sprintf( $format, Configuration::get('PS_INVOICE_PREFIX', $id_lang, null, $id_shop), 
                    $order_invoice_list[0]->number,
                    date('Y', strtotime($order_invoice_list[0]->date_add))).'.pdf';
                $filename = 'RX-'.$filename;

                header("Content-type: application/pdf");
                header("Content-disposition: attachment;filename=".$filename);
                echo $response;
            } else {
                $pdf = new PDF($order_invoice_list, PDF::TEMPLATE_INVOICE, $this->context->smarty);
                $pdf->render();
            }
        } else {
            $pdf = new PDF($order_invoice_list, PDF::TEMPLATE_INVOICE, $this->context->smarty);
            $pdf->render();
        }
    }
}
